<?php

  $user_info = $this->getSession()->get('session') ;

$user_id = $user_info['id'] ;
/* Bricolage d'un groupe super_admin */
$login = $user_info['login'] ;
$is_admin =   ( $login == 'cgicquel' ) ? true : false ;

$sitefouille_id = $this->getSession()->get('sitefouille_id') ;

?>

<script>
    var participation_container;
    var participation_groups
    var participation_items
    var planning
    var options_us_timeline = {
        margin: {
            item: 10, // minimal margin between items
            axis: 5   // minimal margin between items and the axis
        },
        orientation: 'top',
        groupOrder: function (a, b) {
            return a.value - b.value;
        },
        editable: false
        //min: new Date(<?php /* echo $deb_anne; */ ?>, 0, 1 ),                // lower limit of visible range
        //max: new Date(<?php /* echo $fin_anne+1; */ ?>, 0, 1 ),                // upper limit of visible range

    };
    $(function(){
        participation_container = document.getElementById('participation_visualization');
        participation_groups = new vis.DataSet({})
        participation_items = new vis.DataSet({})
        planning = new vis.Timeline(participation_container);
        planning.setOptions(participation_container);
        planning.setGroups(participation_groups);
        planning.setItems(participation_items);
        loadOa()
    })

    function loadOa(){
        var oa_id = $('#select-oa').val();
        $.ajax({
            type:"POST",
            url: "<?php echo $this->getRequest('Dashboard_Oa','ParticipationsAjax' ) ; ?>",
            data: "oa_id="+oa_id,
            success: function(returnData) {
                var planning = JSON.parse(returnData);
                var participations = [];
                var intervenants = [];
                for(var participation in planning){
                    participations.push({'id':planning[participation]['id'], 'content':planning[participation]['title'], 'value':planning[participation]['title']})
                    intervenants.push({'id':participation, 'content':planning[participation]['role'], 'start':planning[participation]['start'],'end':planning[participation]['end'],'group':planning[participation]['id']})
                }
                participation_groups = new vis.DataSet(participations)
                participation_items =  new vis.DataSet(intervenants)
                participation_container.innerHTML = ""
                planning = new vis.Timeline(participation_container);
                planning.setOptions(participation_container);
                planning.setGroups(participation_groups);
                planning.setItems(participation_items);
            },
            error: function(returnData) {
                alert('Une erreur est survenue.');
            }
        });
    }

</script>

<div class="col-md-12">
    <div class="panel panel-default">
        <div class="panel-heading">
            <label>Choisissez une Opération Archéologique</label>
            <select id="select-oa" onchange="loadOa()">
                <?php foreach($oas as $id => $ident){ ?>
                <option value="<?php echo $id; ?>"><?php echo $ident; ?></option>
                <?php } ?>
            </select>
        </div>
        <div class="panel-body">
            <div id="participation_visualization"></div>
        </div>

    </div>
</div>

<div id="modal_eventContent" style="display:none;">
    <div id="eventContent" class="bs-callout bs-callout-warning">
        <h4><span id="eventTitle" title="Details de la Participation" ></span></h4>
        <p> du <span id="startTime"></span> au <span id="endTime"></span></p>
        <p>en tant que <span  id="eventInfo"></span></p>
    </div>
</div>
<?php
  /**
   * Indispensable pour afficher le Layout, desactivé pour les appels des differentes actions
   */
  $this->getLayout()->setEnabled(true);
?>